Run of multiarch-fixes for ubuntu-packaging-guide

Try this locally (using the lintian-brush package):

debcheckout ubuntu-packaging-guide
cd ubuntu-packaging-guide
apply-multiarch-hints
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
[2021-04-02 03:58:20] Running ['apply-multiarch-hints']
[2021-04-02 03:58:22] Opening branch at http://bazaar.launchpad.net/~ubuntu-packaging-guide-team/ubuntu-packaging-guide/trunk
[2021-04-02 03:58:26] Cached branch URL https://janitor.debian.net/bzr/ubuntu-packaging-guide/debian/latest missing: Branch does not exist: Not a branch: "https://janitor.debian.net/bzr/ubuntu-packaging-guide/debian/latest/".
[2021-04-02 03:59:28] Workspace ready - starting.
[2021-04-02 04:00:38] ubuntu-packaging-guide-common: Add Multi-Arch: foreign.
[2021-04-02 04:00:38] ubuntu-packaging-guide-pdf: Add Multi-Arch: foreign.
[2021-04-02 04:00:38] ubuntu-packaging-guide-epub: Add Multi-Arch: foreign.
[2021-04-02 04:00:38] ubuntu-packaging-guide-pdf-es: Add Multi-Arch: foreign.
[2021-04-02 04:00:38] ubuntu-packaging-guide-epub-es: Add Multi-Arch: foreign.
[2021-04-02 04:00:38] ubuntu-packaging-guide-pdf-ru: Add Multi-Arch: foreign.
[2021-04-02 04:00:38] ubuntu-packaging-guide-epub-ru: Add Multi-Arch: foreign.
[2021-04-02 04:00:38] ubuntu-packaging-guide-pdf-pt-br: Add Multi-Arch: foreign.
[2021-04-02 04:00:38] ubuntu-packaging-guide-epub-pt-br: Add Multi-Arch: foreign.
[2021-04-02 04:00:38] ubuntu-packaging-guide-pdf-de: Add Multi-Arch: foreign.
[2021-04-02 04:00:38] ubuntu-packaging-guide-epub-de: Add Multi-Arch: foreign.
[2021-04-02 04:00:38] ubuntu-packaging-guide-pdf-fr: Add Multi-Arch: foreign.
[2021-04-02 04:00:38] ubuntu-packaging-guide-epub-fr: Add Multi-Arch: foreign.
[2021-04-02 04:00:38] ubuntu-packaging-guide-pdf-uk: Add Multi-Arch: foreign.
[2021-04-02 04:00:38] ubuntu-packaging-guide-epub-uk: Add Multi-Arch: foreign.
[2021-04-02 04:00:42] Opened schroot session unstable-amd64-sbuild-d7c6af12-dd38-45e4-8d30-e604178ec44e (from unstable-amd64-sbuild)
[2021-04-02 04:00:43] Using fixers: [PgBuildExtOutOfDateControlFixer(), SimpleBuildFixer(MissingConfigure, fix_missing_configure), SimpleBuildFixer(MissingAutomakeInput, fix_missing_automake_input), SimpleBuildFixer(MissingConfigStatusInput, fix_missing_config_status_input), SimpleBuildFixer(MissingPerlFile, fix_missing_makefile_pl), DependencyBuildFixer(AptFetchFailure, retry_apt_failure), PackageDependencyFixer(AptResolver(<ognibuild.debian.apt.AptManager object at 0x7fc5c27a72e0>, [functools.partial(<function python_tie_breaker at 0x7fc5d5989a60>, <WorkingTree6 of /tmp/tmp29x5yyqk/ubuntu-packaging-guide>, ''), BuildDependencyTieBreaker('/var/run/schroot/mount/unstable-amd64-sbuild-d7c6af12-dd38-45e4-8d30-e604178ec44e'), <function popcon_tie_breaker at 0x7fc5c2839a60>]))]
[2021-04-02 04:00:43] Building debian packages, running 'sbuild -A -s -v'.
[2021-04-02 04:05:21] Built ['ubuntu-packaging-guide_1.0.3~jan+maf1_amd64.changes'].
[2021-04-02 04:05:22] Running lintian
[2021-04-02 04:05:35] Pushing result branch to RemoteVcsManager('https://janitor.debian.net/')
Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/janitor/vcs.py", line 289, in import_branches_bzr
    target_branch = Branch.open(target_branch_path)
  File "/srv/janitor/debian-janitor/breezy/breezy/branch.py", line 171, in open
    control = controldir.ControlDir.open(
  File "/srv/janitor/debian-janitor/breezy/breezy/controldir.py", line 724, in open
    return klass.open_from_transport(t, probers=probers,
  File "/srv/janitor/debian-janitor/breezy/breezy/controldir.py", line 754, in open_from_transport
    transport, format = _mod_transport.do_catching_redirections(
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/__init__.py", line 1613, in do_catching_redirections
    return action(transport)
  File "/srv/janitor/debian-janitor/breezy/breezy/controldir.py", line 742, in find_format
    return transport, ControlDirFormat.find_format(transport,
  File "/srv/janitor/debian-janitor/breezy/breezy/controldir.py", line 1169, in find_format
    raise errors.NotBranchError(path=transport.base)
breezy.errors.NotBranchError: Not a branch: "https://janitor.debian.net/bzr/ubuntu-packaging-guide/multiarch-fixes,branch=main/".

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/janitor/pull_worker.py", line 233, in run_worker
    import_branches(
  File "/srv/janitor/debian-janitor/janitor/vcs.py", line 313, in import_branches
    import_branches_bzr(
  File "/srv/janitor/debian-janitor/janitor/vcs.py", line 291, in import_branches_bzr
    target_branch = ControlDir.create_branch_convenience(target_branch_path)
  File "/srv/janitor/debian-janitor/breezy/breezy/controldir.py", line 678, in create_branch_convenience
    controldir = klass.create(base, format, possible_transports)
  File "/srv/janitor/debian-janitor/breezy/breezy/controldir.py", line 874, in create
    t.ensure_base()
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/__init__.py", line 416, in ensure_base
    self.mkdir('.', mode=mode)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 2247, in mkdir
    raise errors.TransportNotPossible('http does not support mkdir()')
breezy.errors.TransportNotPossible: Transport operation not possible: http does not support mkdir() 

Summary

Multi-arch fixes.

Full worker log Full build log